<?php

class Backend_Api_Controller extends Backend_Controller {
	
	public $restful = true;
	
	public function __construct()
    {
    	parent::__construct();
        
        // Compression forcée des retours pour limiter la taille des échanges
    	ob_start('ob_gzhandler');
    	
    	$input = Input::all();
    	
    	ksort($input);
    	$tmp_sig = '';
    	foreach($input as $k=>$v){
    		if($k!='sig' && $k!='file'){
    			$tmp_sig .= strtolower($k.$v);
    		}
    	}
    	
    	if(!isset($input['sig']) || trim($input['sig'])=='' || strtoupper(md5($tmp_sig)) != strtoupper($input['sig'])){
	    	$array_api = array(
				'status' => false,
				'code' => 0
			);
			$data['api'] = $array_api;
	    	
			echo json_encode($data);
			die();
    	}
    }
    
    public function post_sync(){
    	$input = Input::all();
    	
    	if(isset($input['ids'])){
    		
    		$log = SyncLog::create(array(
    			'log' => $input['ids']
    		));
    	
	    	$array_tmp = explode(',',$input['ids']);
	    	if(is_array($array_tmp) && count($array_tmp)>=1){
	    		$nb_sync = 0;
		    	foreach($array_tmp as $array_decode){
		    		$array_tmp = explode('_',$array_decode);
		    		$id = round(trim($array_tmp[0]));
		    		$date = trim($array_tmp[1]);
		    		
		    		if($date!=''){
				    	if($customer = Customer::find($id)){
					    	$nb_sync++
					    	$scan = CustomerScan::create(array(
					    		'customer_id' => $id,
					    		'date' => $date),
					    	));
				    	}
			    	}
			    	if($nb_sync>=1){
				    	$status = true;
				    	$message = 'ok, '.$nb_sync.' sync(s)';
			    	}
			    	else{
				    	$status = false;
						$message = 'Erreur : aucun id valide';
			    	}
		    	}
	    	}
	    	else{
		    	$status = false;
				$message = 'Erreur : valeur ids non conforme';
	    	}
    	}
    	else{
	    	$status = false;
	    	$message = 'Erreur : ids non defini';
    	}
    	
    	$data['api'] = array(
    		'status' => $status,
    		'message' => $message,
    	);
		return json_encode($data['api']);
    }
}