<?php

class Backend_Controller extends Controller {
	
	/**
	 * Catch-all method for requests that can't be matched.
	 *
	 * @param  string    $method
	 * @param  array     $parameters
	 * @return Response
	 */
	public function __call($method, $parameters)
	{
		return Response::error('404');
	}

	public function __construct()
	{
		// Bundle assets settings
		Asset::container('header')->bundle('backend');
		Asset::container('footer')->bundle('backend');

		// Assets -- Styles
		Asset::container('header')->add('modernizr', 'js/modernizr-2.6.1-respond-1.1.0.min.js');
		Asset::container('header')->add('bootstrap', 'css/bootstrap.min.css');
		Asset::container('header')->add('bootstrap-responsive', 'css/bootstrap-responsive.min.css', 'bootstrap');
		Asset::container('header')->add('styles', 'css/styles.css');

		// Assets -- js
		Asset::container('footer')->add('bootstrap-js', 'js/bootstrap.min.js');
		Asset::container('footer')->add('scripts', 'js/scripts.js');
        
        // Construit les tableaux des heures / minutes
        $this->minutes = array(); for($i=0;$i<=59;$i++){$this->minutes[$i] = $i.'min';}
        $this->heures = array(); for($i=0;$i<=23;$i++){$this->heures[$i] = $i.'h';}
	}
	
}