<?php

class User extends Eloquent {

	public static $timestamps = true;

	//public $includes = array('country','roles','countries','log_history');
	
	public function roles()
	{
		return $this->has_many_and_belongs_to('Role');
	}

	public function set_password($password)
	{
	    $this->set_attribute('password', Hash::make($password));
	}

	public function log_history()
	{
		return $this->has_many('LogHistory')->order_by('created_at', 'desc');
	}

	public function last_login()
	{
		return $this->has_many('LogHistory')->order_by('created_at', 'desc')->take(1);
	}
	
	public function has_permission($id)
	{
		foreach($this->roles as $r)
		{
			if($r->id == $id)
			{
				return true;
				break;
			}
		}
		return false;
	}
}