@layout('backend::template_default')

@section('content')
	<div class="container">
		<div class="page-header">
			@if($_GET['force']=='noscan')
			<h1>Liste des inscrits jamais scannés</h1>
			@elseif($_GET['force']=='partialscan')
			<h1>Liste des inscrits scannés au moins 1 fois</h1>
			@else
			<h1>Liste des inscrits</h1>
			@endif
		</div>
		<div style="margin-bottom: 15px;">
			<a class="btn" href="{{ URL::to_route('new_customer') }}"><i class="icon-plus"></i> Ajouter un nouvel inscrit</a>
		</div>
		{{ BHelpers::notification() }}
		<table class="table table-striped table-hover datatablecustomers">
			<thead>
				<tr>
					<th>#</th>
					<th>Type</th>
					<th>Nom</th>
					<th>Prénom</th>
					<th>CIP</th>
					<th>Pharmacie</th>
					<th>CP</th>
					<th>Inscription</th>
					<th style="text-align:right">Action</th>
				</tr>
			</thead>
			<tbody></tbody>
		</table>
	</div>
	<script type="text/javascript">
	function delete_entry(id)
	{
		if(confirm("Confirmer ?"))
			$('#form_'+id).submit();
		else
			return false;
	}
	$(document).ready(function() {
		$('.datatablecustomers').dataTable( {
	        "bProcessing": true,
	        "bServerSide": true,
	        "iDisplayLength": 25,
	        "sAjaxSource": "{{ URL::to_route('ajaxcustomers') }}?force={{addslashes($_GET['force'])}}",
	        "oLanguage": {
		      "sSearch": "{{__('admin.recherche')}} : ",
		      "sLengthMenu": "Affichage de _MENU_ résultat(s)"
		    },
	        "aaSorting": [ [0,'asc'], [1,'asc'] ]
	    });
	    
	    $(".dataTables_info, .dataTables_paginate").css({'margin-top':'20px','margin-bottom':'20px'});
	});
	</script>
@endsection