@layout('backend::template_default')

@section('content')
	<div class="container">
		<div class="page-header">
			<h1>Gestionnaires du site</h1>
		</div>
		<div style="margin-bottom: 15px;">
			<a class="btn" href="{{ URL::to_route('new_user') }}"><i class="icon-plus"></i> Nouvel Administrateur</a>
		</div>
		<table class="table table-striped table-hover">
			<thead>
				<tr>
					<th>#</th>
					<th>Prénom</th>
					<th>Nom</th>
					<th>Email</th>
					<th>Last Login</th>
					<th style="text-align:right">Action</th>
				</tr>
			</thead>
			<tbody>
				@foreach($users as $u)
				<tr>
					<td>{{ $u->id }}</td>
					<td>{{ $u->first_name }}</td>
					<td>{{ $u->last_name }}</td>
					<td>{{ $u->email }}</td>
					<td>
						@if($u->last_login)
							{{ $u->last_login[0]->created_at }}
						@else
							<em>Aucune connexion</em>
						@endif
					</td>
					<td style="text-align:right">
						{{ Form::open(URL::to_route('delete_user', $u->id), 'DELETE', array('id' => 'form_'.$u->id, 'style' => 'margin:0;')) }}
						<div class="btn-group">
							<a class="btn btn-small" href="{{ URL::to_route('edit_user', array($u->id)) }}"><i class="icon-pencil"></i> Modifier</a>
							<a class="btn btn-small btn-danger" href="javascript:delete_entry(<?php echo $u->id ?>);"><i class="icon-remove icon-white"></i> Supprimer</a>
						</div>
						{{ Form::close() }}
					</td>
				</tr>
				@endforeach
			</tbody>
		</table>
	</div>
	<script type="text/javascript">
	function delete_entry(id)
	{
		if(confirm('Etes-vous sur?'))
			$('#form_'+id).submit();
		else
			return false;
	}
	</script>
@endsection