@layout('backend::template_default')

@section('content')
<div class="container">
	<div class="page-header">
		<h1>{{ Auth::user()->name }} <small>{{ Auth::user()->email }}</small></h1>
	</div>

	{{ Form::open(null, 'PUT', array('class' => 'form-horizontal')) }}
	<div class="row-fluid">
		<div class="span7">
			@if (Session::has('errors'))
				<div class="alert alert-error">
					<button type="button" class="close" data-dismiss="alert">×</button>
					<strong>{{__('admin.erreurs_inattendues')}}</strong>
				</div>
			@elseif (Session::has('success'))
				<div class="alert alert-success">
					<button type="button" class="close" data-dismiss="alert">×</button>
					<strong>{{__('admin.succes')}} !</strong> {{__('admin.profil_mis_jour')}}
				</div>
			@endif

			<table class="table table-striped">
				<tr>
					<td>{{__('admin.email')}}</td>
					<td><input type="text" value="{{ Auth::user()->email }}" disabled></td>
				</tr>
				<tr <?php if($errors->first('last_name')) echo 'class="error"'; ?>>
					<td>{{__('admin.nom')}} *</td>
					<td>
						{{ Form::text('last_name', Auth::user()->last_name) }}
					</td>
				</tr>
				<tr <?php if($errors->first('first_name')) echo 'class="error"'; ?>>
					<td>{{__('admin.prenom')}} *</td>
					<td>
						{{ Form::text('first_name', Auth::user()->first_name) }}
					</td>
				</tr>
				<tr>
					<td colspan="2"><h5>{{__('admin.mot_passe')}} <small>(<b>Note</b> : {{__('admin.laisser_vide')}})</small></h5></td>
				</tr>
				<tr <?php if($errors->first('new_password')) echo 'class="error"'; ?>>
					<td>{{__('admin.mot_passe_nouveau')}}</td>
					<td>
						{{ Form::password('new_password') }}
					</td>
				</tr>
				<tr <?php if($errors->first('new_password_confirmation')) echo 'class="error"'; ?>>
					<td>{{__('admin.confirmer')}}</td>
					<td>
						{{ Form::password('new_password_confirmation') }}
					</td>
				</tr>
				<tr>
					<td><b>{{__('admin.permissions')}}</b></td>
					<td>
						@foreach(Auth::user()->roles as $r)
							{{ '&bull; '.$r->name.'<br>' }}
						@endforeach
					</td>
				</tr>
			</table>
		</div>

		<div class="span5">
			<h4>{{__('admin.informations')}}</h4>
			<p>
				{{__('admin.derniere_modification')}} :<br><code>{{ Auth::user()->updated_at }}</code><br>
			</p>
			<p>
				{{__('admin.date_creation')}} :<br><code>{{ Auth::user()->created_at }}</code><br><br>
			</p>
			<h4>{{__('admin.historique_connexion')}}</h4>
			<table class="table table-condensed table-bordered">
				<thead>
					<tr>
						<th>{{__('admin.date')}}</th>
						<th>{{__('admin.adresse_ip')}}</th>
					</tr>
				</thead>
				<tbody>
					@foreach(Auth::user()->log_history()->order_by('created_at', 'desc')->take(10)->get() as $lh)
					<tr>
						<td>{{ $lh->created_at }}</td>
						<td>{{ $lh->ip }}</td>
					</tr>
					@endforeach
				</tbody>
			</table>
		</div>
	</div>
	<div class="row-fluid">
		<div class="span12">
			<div class="form-actions">
				<button type="submit" class="btn btn-primary">{{__('admin.mettre_a_jour')}}</button>
			</div>
		</div>
	</div>
	{{ Form::close() }}
</div>
@endsection