﻿<?php
				//------------------------------------------------------------
				// PAGE DE RETOUR "TRAITEMENT" CORRESPONDANT A L'URL SERVEUR
				//						 --------
				// "PROCESSING" RETURN PAGE MATCHING WITH THE SERVER URL
				//------------------------------------------------------------

include ("function.php");

if ($_REQUEST['vads_language'] == "fr") $lang = "fr";
else $lang = "en";

	/*---------------------------------------------------------------------------------------------------------------------------
	A la fin d’un paiement, la plateforme de paiement appelle systématiquement l’URL serveur 
	renseignée dans le back-office marchand. Grace à cet appel le site marchand peut connaitre
	l’état du paiement même si le client ne revient pas sur le site. 

	Le marchand pourra ainsi selon les cas valider ou annuler sa commande si le paiement est accepté ou refusé,
	savoir si le paiment est en attente d'autoristation ou de validation, etc...

	Les principaux parametres permettant de traiter le retour de la plateforme sont:
	- signature: 			La signature permet de vérifier l'authenticité de la requête retournée au site marchand. 
							Si la signature envoyée par la platefome de paiement n'est pas identique à celle calculée localement, 
							le résultat de paiement ne doit pas être pris en compte. 
							
	- vads_trans_id  		ID de la commande, identique à la valeur reçue dans le formulaire de paiement
	
	- vads_trans_status: 	Ce paramètre permet de définir le statut de la transaction. 

										-----------

	After the payment, the gateway calls the server URL filled on the payment solution back office.
	This URL call allows the merchant site to know the transaction status even if the customer does not come back on the site.

	Thus, the merchant will be able to validate or cancel his order depending on the payment parameters, 
	he will be able to know if the payment is accepted, rejected, waiting for authentication, validation, etc...

	The main parameters allowing to porcess the gateway return are:
	- signature: 			The signature allows to check the authenticity of the request returned to the merchant site.
							If the signature sent by the paylent gateway doesn't match with 
							the one calculated locally, do not take process the payment.
							
	- vads_trans_id  		Transaction ID, the same one that was sent into the payment form.
	
	- vads_trans_status: 	This parameter permits to define the transaction status. 
	-----------------------------------------------------------------------------------------------------------------------------*/

// $key est le certificat qui est utilisé pour vérifier la signature // $key is the certifciates used to calculate the signature
$key = Get_Key();

$trans_id = $_REQUEST['vads_trans_id'];

// Vérification de la signature // Signature checking
if (Check_Signature($_REQUEST, $key) != 'true') 
{ 
	/*-----------------------------------------------------------------------------------------------------------------------------------------	
			Si la signature est invalide, aucun traitement ne doit être effectué. Le paiement doit être considéré comme refusé.
	Le message "Signature invalide" sera enregistré dans le back office de la solution de paiement dans l'onglet Historique de la transaction.
													------------
					If the signature doesn't match, no processing must be done. The payment must be considered as refused.
						An "Invalid signature" message is recorded into the payment gateway back offcie */
	
    $msg = getOutputForGateway('signature_invalide', $lang); 
	//-------------------------------------------------------------------------------------------------------------------------------------------
}
else {
	/*----------------------------------------------------------------------------------------------------------------------
							Si la signature est valide, alors vous pouvez analyser le résulat du paiement. 
															------
		If the signature is valid, it is up to you to process the datas returned by the gateway depending on your needs.
	------------------------------------------------------------------------------------------------------------------------*/
	
	/*----------------------------------------------------------------------------------------------------------------------
			EXEMPLE: Nous traitons la commande en fonction de 5 valeurs possibles du parametre vads_trans_status:
														------
				EXAMPLE: We process the order depending on 5 possible values of the vads_trans_status parameter:
	------------------------------------------------------------------------------------------------------------------------*/	
	$trans_status = $_REQUEST['vads_trans_status'];

	/*-------------------------------------------------------------------------------------------------------------------
		Fonction de sauvegarde de la commande dans la base de données donnée à titre d'exemple:
											-----
						Database order saving function given as an example
		
	saveOrder($trans_id, $trans_status);
  	------------------------------------------------------------------------------------------------------------------------*/	
	
	switch ($trans_status) {
	
	/*--------------------------------------------------------------------------------------------------------------------------------	
	AUTHORISED => 	Le paiement a été accepté pour le montant total de la transaction et sera remis en banque de manière automatique.
					/	The payment is accepted for the transaction total amount and is waiting to be automatically cashed.
	----------------------------------------------------------------------------------------------------------------------------------*/					
		case "AUTHORISED":
		/*--------------------------------------------------------------------------------------------------------------------------------
		Inserez votre code afin de génèrer les taches souhaitées (mise à jour de commande, envoi de mail, génération de facture, etc...) 
								dans le cas d'un paiement accepté (trans_status AUTHORISED)
														-------------
		Insert your code in order to manage the tasks you need (order update, mail to the customer, invoice, etc...) in the case of 
										an accepted payment (trans_status AUTHORISED)
		----------------------------------------------------------------------------------------------------------------------------------
		
		----------------------------------------------------------------------------------------------------------------------------------
				Le message "Signature OK. Le paiement a ete accepte." sera enregistré dans le back office de la solution de paiement 
											dans l'onglet Historique de la transaction.
														  ---------
		A "Signature OK. The payment is accepted." message will be recorded in the payment gateway back office on the order's History tab */
		
			$msg = getOutputForGateway('AUTHORISED', $lang); 
		//---------------------------------------------------------------------------------------------------------------------------------
		break;
	
	/*---------------------------------------------------------------------------------------------------------------------------------
	REFUSED => 		Le paiement a été refusé. / The payment is refused.
	-----------------------------------------------------------------------------------------------------------------------------------*/
		case "REFUSED":
		/*--------------------------------------------------------------------------------------------------------------------------------
		Inserez votre code afin de génèrer les taches souhaitées (mise à jour de commande, envoi de mail, génération de facture, etc...) 
									dans le cas d'un paiement refusé (trans_status REFUSED)
														-------------
		Insert your code in order to manage the tasks you need (order update, mail to the customer, invoice, etc...) in the case of 
										a refused payment (trans_status REFUSED)
		----------------------------------------------------------------------------------------------------------------------------------
		
		----------------------------------------------------------------------------------------------------------------------------------
					Le message "Signature OK. Paiement refuse." sera enregistré dans le back office de la solution de paiement 
											dans l'onglet Historique de la transaction.
			---------
		A "Signature OK. The payment is refused." message will be recorded in the payment gateway back office on the order's History tab */
		
			$msg = getOutputForGateway('REFUSED', $lang); 
		//---------------------------------------------------------------------------------------------------------------------------------
		break;

	
	/*---------------------------------------------------------------------------------------------------------------------------------
	AUTHORISED_TO_VALIDATE => 	Le paiement a été accepté mais est en attente de validation manuelle.
								/ The payment is accepted and is waiting to be manually validated.
	-----------------------------------------------------------------------------------------------------------------------------------*/
		case "AUTHORISED_TO_VALIDATE":
		/*--------------------------------------------------------------------------------------------------------------------------------
		Inserez votre code afin de génèrer les taches souhaitées (mise à jour de commande, envoi de mail, génération de facture, etc...) 
						dans le cas d'un paiement en attente de validation manuelle (trans_status AUTHORISED_TO_VALIDATE)
														-------------
		Insert your code in order to manage the tasks you need (order update, mail to the customer, invoice, etc...) in the case of 
								a payment waiting for validation (trans_status AUTHORISED_TO_VALIDATE)
		----------------------------------------------------------------------------------------------------------------------------------
		
		----------------------------------------------------------------------------------------------------------------------------------
				Le message "Signature OK. Paiement en attente de validation." sera enregistré dans le back office de la solution de paiement 
											dans l'onglet Historique de la transaction.
														  ---------
				A "Signature OK. Payment waiting for validation." message will be recorded in the payment gateway back office 
												on the order's History tab */
		
			$msg = getOutputForGateway('AUTHORISED_TO_VALIDATE', $lang); 
		//---------------------------------------------------------------------------------------------------------------------------------
		break;

	/*---------------------------------------------------------------------------------------------------------------------------------
	WAITING_AUTHORISATION => 	Le paiement est en attente d’autorisation. Une prise d’empreinte a été réalisée pour valider 
								les données de la carte bancaire pour une remise en baque dans un délai supérieur à 7 jours.
								/	The payment is waiting for authorisation. An imprint was made in order to validate 
								the credit card datas to cash the payment more than 7 days later.
	-----------------------------------------------------------------------------------------------------------------------------------*/
		case "WAITING_AUTHORISATION":
		/*--------------------------------------------------------------------------------------------------------------------------------
		Inserez votre code afin de génèrer les taches souhaitées (mise à jour de commande, envoi de mail, génération de facture, etc...) 
								dans le cas d'un paiement en attente d'autorisation (trans_status WAITING_AUTHORISATION)
															-------------
		Insert your code in order to manage the tasks you need (order update, mail to the customer, invoice, etc...) in the case of 
									a payment waiting for authorisation (trans_status WAITING_AUTHORISATION)
		----------------------------------------------------------------------------------------------------------------------------------
		
		----------------------------------------------------------------------------------------------------------------------------------
				Le message "Signature OK. Empreinte OK. Paiement en attente d’autorisation." sera enregistré dans le back office 
							de la solution de paiement dans l'onglet Historique de la transaction.
														  ---------
			A "Signature OK. Imprint OK. Payment waiting for authorisation." message will be recorded in the payment gateway back office 
												on the order's History tab */
		
			$msg = getOutputForGateway('WAITING_AUTHORISATION', $lang); 
		//---------------------------------------------------------------------------------------------------------------------------------
		break;
		
	/*---------------------------------------------------------------------------------------------------------------------------------
	WAITING_AUTHORISATION_TO_VALIDATE => 	Le paiement est en attente d’autorisation et de validation manuelle.
											/ 	The payment is waiting for authorisation and validation.
	-----------------------------------------------------------------------------------------------------------------------------------*/
		case "WAITING_AUTHORISATION_TO_VALIDATE":
		/*--------------------------------------------------------------------------------------------------------------------------------
		Inserez votre code afin de génèrer les taches souhaitées (mise à jour de commande, envoi de mail, génération de facture, etc...) 
				dans le cas d'un paiement en attente de validation et d'autorisation (trans_status WAITING_AUTHORISATION_TO_VALIDATE)
														-------------
		Insert your code in order to manage the tasks you need (order update, mail to the customer, invoice, etc...) in the case of 
					a payment waiting for validation and authorisation (trans_status WAITING_AUTHORISATION_TO_VALIDATE)
		----------------------------------------------------------------------------------------------------------------------------------
		
		----------------------------------------------------------------------------------------------------------------------------------
				Le message "Signature OK. Paiement en attente d’autorisation et de validation." sera enregistré dans le back office 
								de la solution de paiement dans l'onglet Historique de la transaction.
															---------
		A "Signature OK. Payment waiting for authorisation and validation." message will be recorded in the payment gateway back office 
													on the order's History tab */
		
			$msg = getOutputForGateway('WAITING_AUTHORISATION_TO_VALIDATE', $lang); 
		//---------------------------------------------------------------------------------------------------------------------------------
		break;
	}
}
// Le message correspondant est retourné à la plateforme // The matching message is returned to the gateway
echo $msg;
	
	// A vous de traiter les données retournées par la plateforme en fonction de vos besoins...
	//------
	// Now it is up to you to process the datas returned by the gateway depending on your needs...

?>