<?php

require_once 'wdcore/wdimage.php';

#
# on utilise un callback pour remplir le fond de l'image.
# cela mettra en valeur les images qui sont _centrée_ lors
# de la génération de la miniature, comme cela arrive souvent
# avec la méthode 'fit'.
#

function fill_callback($image, $w, $h)
{
    WdImage::drawGrid
    (
        $image, 0, 0, $w - 1, $h - 1
    );
}

#
# on récupère les diverses valeurs qui seront utilisées pour
# créer notre miniature.
#

$file = dirname(__FILE__) . DIRECTORY_SEPARATOR . $_GET['src'];
$w = $_GET['w'];
$h = $_GET['h'];
$method = $_GET['method'];

#
# on crée une ressource _image_ depuis la source.
#
# note: pour la démo, seule les images au format JPEG sont
# prises en charge.
#

$image = imagecreatefromjpeg($file);

#
# on redimensionne l'image selon les dimensions demandées
# et la méthode.
#
# note: les dimensions *doivent* être passées sous forme de
# variables. Elles sont utilisées comme _référence_. La méthode
# RESIZE_SURFACE y écrira les dimensions finales de l'image.
# Ici ce sera 181x91 (16384 => 16471)
#

$resized = WdImage::resize($image, $w, $h, $method, 'fill_callback');

#
# on renvoie le résultat sous forme d'image jpeg
#

header('Content-type: image/jpeg');
header('Pragma: no-cache');

imagejpeg($resized);